Subject: bug#68687: [PATCH] Use text/org media type

From: Max Nikulin <[email-masked]>
Date: Wed, 31 Jan 2024 23:18:10 +0700

On 30/01/2024 19:13, Ihor Radchenko wrote:
> Even when text/org is rendered using Org mode, there is nothing
> pressuring people to use Org mode there. It is just visuals. Org major
> mode is not activated.

I am not familiar with gnus & Co code, so I am confused by (funcall 
mode) in `mm-display-inline-fontify'. Doesn't it activate the major mode 
through `mm-display-org-inline'?

On the other hand, I am afraid, changing `mm-inline-media-tests' to use

("text/org" mm-inline-text identity)
("text/x-org" mm-inline-text identity)

by default instead of `mm-display-org-inline' for safety and to avoid 
loading of Org mode will cause a lot of complains from Org users.